org.bouncycastle.jce.provider

## Interface BrokenPBE

All Known Implementing Classes:
  BrokenJCEBlockCipher, BrokenJCEBlockCipher.BrokePBEWithMD5AndDES, BrokenJCEBlockCipher.BrokePBEWithSHA1AndDES, BrokenJCEBlockCipher.BrokePBEWithSHAAndDES2Key, BrokenJCEBlockCipher.BrokePBEWithSHAAndDES3Key, BrokenJCEBlockCipher.OldPBEWithSHAAndDES3Key, BrokenJCEBlockCipher.OldPBEWithSHAAndTwofish

    public interface BrokenPBE

### Nested Class Summary

Nested Classes
`static class` `BrokenPBE.Util` uses the appropriate mixer to generate the key and IV if neccessary.

### Field Summary

Fields
`static int` `MD5`
`static int` `OLD_PKCS12`
`static int` `PKCS12`
`static int` `PKCS5S1`
`static int` `PKCS5S2`
`static int` `RIPEMD160`
`static int` `SHA1`

### Field Detail

#### MD5

    static final int MD5

See Also:
  Constant Field Values

#### SHA1

    static final int SHA1

See Also:
  Constant Field Values

#### RIPEMD160

    static final int RIPEMD160

See Also:
  Constant Field Values

#### PKCS5S1

    static final int PKCS5S1

See Also:
  Constant Field Values

#### PKCS5S2

    static final int PKCS5S2

See Also:
  Constant Field Values

#### PKCS12

    static final int PKCS12

See Also:
  Constant Field Values

#### OLD_PKCS12

    static final int OLD_PKCS12

See Also:
  Constant Field Values